﻿using Prism.Ioc;
using Prism.Modularity;
using Prism.Regions;

using TestLibrary.Views;

namespace TestLibrary
{
    /// <summary>
    /// 테스트 라이브러리 모듈
    /// </summary>
    public class TestLibraryModule : IModule
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 초기화시 처리하기 - OnInitialized(containerProvider)

        /// <summary>
        /// 초기화시 처리하기
        /// </summary>
        /// <param name="containerProvider">컨테이너 공급자 인터페이스</param>
        public void OnInitialized(IContainerProvider containerProvider)
        {
            IRegionManager regionManager = containerProvider.Resolve<IRegionManager>();

            regionManager.RegisterViewWithRegion("ContentRegion", typeof(PersonListView));            
        }

        #endregion
        #region 타입 등록하기 - RegisterTypes(containerRegistry)

        /// <summary>
        /// 타입 등록하기
        /// </summary>
        /// <param name="containerRegistry">컨테이너 레지스트리 인터페이스</param>
        public void RegisterTypes(IContainerRegistry containerRegistry)
        {
            containerRegistry.RegisterForNavigation<PersonView>();
        }

        #endregion
    }
}